## org.omg.CORBA
Class UnionMemberHelper

    java.lang.Object
      |
      +--org.omg.CORBA.UnionMemberHelper

public class UnionMemberHelper
extends java.lang.Object

Helper class for : UnionMember

Author:
  OpenORB Compiler

Constructor Summary
`UnionMemberHelper()`

Method Summary
`static UnionMember` `extract(Any a)` Extract UnionMember from an any
`static java.lang.String` `id()` Return the UnionMember IDL ID
`static void` `insert(Any a, UnionMember t)` Insert UnionMember into an any
`static UnionMember` `read(InputStream istream)` Read UnionMember from a marshalled stream
`static TypeCode` `type()` Return the UnionMember TypeCode
`static void` `write(OutputStream ostream, UnionMember value)` Write UnionMember into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionMemberHelper

    public UnionMemberHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnionMember t)

  Insert UnionMember into an any
  Parameters:
    `a` - an any
    `t` - UnionMember value

### extract

    public static UnionMember extract(Any a)

  Extract UnionMember from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UnionMember value

### type

    public static TypeCode type()

  Return the UnionMember TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UnionMember IDL ID
  Returns:
    an ID

### read

    public static UnionMember read(InputStream istream)

  Read UnionMember from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UnionMember value

### write

    public static void write(OutputStream ostream,
                             UnionMember value)

  Write UnionMember into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UnionMember value